package jp.co.gihyo.jex3.pojo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import flex.messaging.MessageException;

public class PojoService {

	public Person findPerson(long socialId) {
		if (socialId == 0) {
			System.out.println("socialId: " + socialId);
			Map<String, String> map = new HashMap<String, String>();
			map.put("a", "aaaa");
			map.put("b", "BBBB");
			MessageException e = new MessageException(
					new SocialIdInvalidException("IDが無効な値です."));
			e.setExtendedData(map);
			throw e;
		}
		Person person = new Person();
		person.socialId = socialId;
		person.name = "Scott";
		person.age = 30;
		person.salary = new BigDecimal(150000);
		Calendar c = Calendar.getInstance();
		c.set(2008, 8, 15);
		person.birthday = c.getTime();
		person.address = "hogehoge";
		return person;
	}

	public List<Person> findPeople() {
		List<Person> ret = new ArrayList<Person>();
		{
			Person person = new Person();
			person.socialId = 123;
			person.name = "Scott";
			person.age = 30;
			person.salary = new BigDecimal(150000);
			Calendar c = Calendar.getInstance();
			c.set(2008, 8, 15);
			person.birthday = c.getTime();
			person.address = "hogehoge";
			ret.add(person);
		}
		{
			Person person = new Person();
			person.socialId = 223;
			person.name = "Adam";
			person.age = 40;
			person.salary = new BigDecimal(250000);
			Calendar c = Calendar.getInstance();
			c.set(2008, 8, 15);
			person.birthday = c.getTime();
			person.address = "mohogehoge";
			ret.add(person);
		}
		return ret;
	}

	public List<Person2> findPeopleAsList() {
		List<Person2> ret = new ArrayList<Person2>();
		{
			Person2 person = new Person2();
			person.socialId = 123;
			person.name = "Scott";
			person.age = 30;
			person.salary = new BigDecimal(150000);
			Calendar c = Calendar.getInstance();
			c.set(2008, 8, 15);
			person.birthday = c.getTime();
			person.address = "hogehoge";
			ret.add(person);
		}
		{
			Person2 person = new Person2();
			person.socialId = 223;
			person.name = "Adam";
			person.age = 40;
			person.salary = new BigDecimal(250000);
			Calendar c = Calendar.getInstance();
			c.set(2008, 8, 15);
			person.birthday = c.getTime();
			person.address = "mohogehoge";
			ret.add(person);
		}
		return ret;
	}

	public Person2[] findPeopleAsArray() {
		return findPeopleAsList().toArray(new Person2[0]);
	}
}
